Subject: XDR/RPC questions

From: Peter Åstrand <[email-masked]>
Date: Tue, 25 Sep 2001 16:33:43 +0200 (CEST)

(Sorry for being slightly off-topic. Any other lists that is more
appropriate for questions like this?)

I have a few questions about the XDR/RPC language specification, as
described in RFC1832 and RFC1831.

1. Section 5.4. "int" is not mentioned as a reserved keyword. Reasons for
this?

2. Are constructions like this valid?:

union createtype4 switch (nfs_ftype4 type) {
 case NF4LNK:
         linktext4      linkdata;
 case NF4BLK:
 case NF4CHR:
         specdata4      devdata;
...

I cannot see how this fits into the union-body declaration in RFC1832.

3. The RPC spec says:

 procedure-def:
      type-specifier identifier "(" type-specifier
        ("," type-specifier )* ")" "=" constant ";"

The following example is also given:

 void PINGPROC_NULL(void) = 0;

But in the XDR spec, "type-specifier" cannot be "void". Or have I
forgotten something?

-- 
Peter Åstrand                Telephone: +46-13-29 08 61
Cendio Systems               E-mail: [email-masked]
Teknikringen 3
583 30 Linköping